﻿Public Class Form1
    ' Start a drag.
    Private Sub lblDrag_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles lblDrag.MouseDown
        ' If it's not the right mouse button, do nothing.
        If e.Button <> MouseButtons.Right Then Return

        ' Make the data object.
        Dim Data As New DataObject(DataFormats.Text, lblDrag.Text)

        ' Start the drag allowing only copy.
        If lblDrag.DoDragDrop(Data, DragDropEffects.Copy Or
            DragDropEffects.Move) = DragDropEffects.Move _
        Then
            ' It's a move. Remove the data from here.
            lblDrag.Text = ""
        End If
    End Sub
End Class
