Public Class Form1
    ' A drag entered. See if text is available.
    Private Sub lblDrop_DragEnter(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles lblDrop.DragEnter
        ' Allow text data.
        If e.Data.GetDataPresent(DataFormats.Text) Then
            ' Only allow the Copy operation.
            e.Effect = DragDropEffects.Copy
        End If
    End Sub

    ' Accept dropped data.
    Private Sub lblDrop_DragDrop(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles lblDrop.DragDrop
        ' Get the dropped data.
        If e.Data.GetDataPresent(DataFormats.Text) Then
            lblDrop.Text = e.Data.GetData(DataFormats.Text).ToString()

            ' Indicate that we copied.
            e.Effect = DragDropEffects.Copy
        End If
    End Sub
End Class
